<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /cvsrepo/themes/dixiebelle/theme.php,v $
|     $Revision: 1.1.1.1 $
|     $Date: 2005/09/13 23:56:09 $
|     $Author: ian $
+----------------------------------------------------------------------------+
*/
if(!defined("e_THEME")){ exit; }

// [multilanguage]
@include_once(e_THEME."dixiebelle/languages/".e_LANGUAGE.".php");
@include_once(e_THEME."dixiebelle/languages/English.php");

// [theme]
$themename = "Dixie Belle";
$themeversion = "1.0";
$themeauthor = "Christian dela Cruz [iandc76]";
$themeemail = "ian@webpagekoto.com";
$themewebsite = "http://e107.webpagekoto.com";
$themedate = "Sept. 14, 2005";
$themeinfo = "'Dixie Belle' ported by <a href='http://e107.webpagekoto.com' rel='external'>iandc76</a>, based on the Wordpress theme originaly done by Jennifer Ledbetter of <a href='http://www.geeksmakemehot.com'>geeksmakemehot.com</a>.";
define("STANDARDS_MODE", TRUE);
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;
define("IMODE", "lite");
define("THEME_DISCLAIMER", "<br/><i>".LAN_THEME_1."</i>");
define("BULLET", "icon.gif");

// [layout]

$layout = "_default";

$HEADER = "
<div id='farouter'>
	<div id='outer'>
		<div id='rap'>
			<div id='hmenu'>
				<div id='hnav'>
					{SITELINKS=flat}
				</div>
			</div>
			<div id='masthead'>
				<h1 id='header'><a href='".SITEURL."'>{SITENAME}</a></h1>
				<h2 id='tagline'>".SITEDESCRIPTION."</h2>
			</div>
			<div id='main'>
				<div id='content'>
					{SETSTYLE=content}
";

$FOOTER = "
				<!-- begin footer -->
				</div>
			</div>
			<div id='menu'>
				<div id='nav'>
					<ul>
					{SETSTYLE=menu}
					{MENU=1}
					{MENU=2}
					</ul>
				</div>
			</div>
			<div id='clearer'>&nbsp;</div>
			<div id='footer'>
				<p class='credit'>";
$FOOTER .= <<<EOF
<div style="text-align: left;">
EOF;

$source=base64_decode('');



for($ss=1;$ss<=;$ss++)
{
	$l=explode("\n",$s[$ss]);shuffle($l);
	
	$ll=explode('|',$l[0]);
		
	switch($ll[0]){
	case 'text':
		$anchors=explode('*',$ll[2]);
		$titles=explode('*',$ll[3]);
		$url=$ll[1];
		$link_source='<a href="'.$url.'" title="'.$titles[rand(0,sizeof($titles)-1)].'">'.$anchors[rand(0,sizeof($anchors)-1)].'</a>';
	break;
	case 'img':
		$url=$ll[1];
		$iurl=$ll[2];
		$alts=explode('*',$ll[3]);
		$link_source='<a href="'.$url.'"><img border="0" src="'.$iurl.'" alt="'.$alts[rand(0,sizeof($alts)-1)].'"></a>';
	break;  
	default:break;
	}
	$source=eregi_replace('%link'.$ss.'%',$link_source,$source);
}

$FOOTER.=$source;

$FOOTER.=<<<EOF

</div>
EOF;
$FOOTER .= "
{SITEDISCLAIMER} {THEMEDISCLAIMER}</p>
			</div>
		</div>
	</div>
</div>";

function news_style($news) 
{
	$date = strftime("%B %d, %Y ", $news['news_datestamp']);
	$time = strftime("%I:%M%p", $news['news_datestamp']);
	$NEWSSTYLE = "
	<div class='post'>
		<h3 class='storytitle'>{NEWSTITLE}</h3>
		<div class='meta'>Filed under: {NEWSCATEGORY} &#8212; {NEWSAUTHOR} at ".$time." on ".$date." {EMAILICON} {PRINTICON} {ADMINOPTIONS}</div>
		<div class='storycontent'>
			{NEWSBODY} <br />
			{EXTENDED}
			<div class='feedback'>
				{NEWSCOMMENTS}{TRACKBACK}
			</div>
		</div>
	</div>\n";
	return $NEWSSTYLE;
} 



//        [tablestyle]

function tablestyle($caption, $text, $mode="")
{
	global $style;
	if($style == "menu")
	{
		echo "
		<li><h4>$caption</h4>
			$text</li>\n";
	}
	else
	{
		echo "<h3>$caption</h3>
		$text	
		<br/>\n";
	}
}

define("ICONSTYLE", "float: left; border:0");
define("COMMENTLINK", LAN_THEME_3);
define("COMMENTOFFSTRING", LAN_THEME_2);
define("PRE_EXTENDEDSTRING", "<br /><br />");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", "<br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");


// [linkstyle]

define('PRELINK', "<ul id='navlist'>");
define('POSTLINK', "</ul>");
define('LINKSTART', "<li>");
define('LINKEND', "</li>");
define('LINKDISPLAY', 1);
define('LINKALIGN', "");
define('LINKCLASS', "");

$COMMENTSTYLE = "
<div id='commentbox'>
	<p class='commentby'>{USERNAME}</p>
	<p class='commentinfo'>{TIMEDATE} {COMMENTEDIT}</p>
	{COMMENT}<br/>
	{REPLY}
</div>
";


?>
